<?php
/**
 * The loop that displays a single post.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop-single.php.
 *
 * @package Mosaic
 * @author Wild Web Lab - www.wildweblab.com 
 * @since Mosaic 1.0
 */
?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class('single'); ?>>
					<h1 class="entry-title"><?php the_title(); ?></h1>

					<div class="entry-meta">
						<?php mosaic_posted_on(); ?>
					</div><!-- .entry-meta -->

					<div class="entry-content">
						<?php mosaic_post_thumbnail(); ?>
						<?php the_content(); ?>
						<div class="clear"></div>
						<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'mosaic' ), 'after' => '</div>' ) ); ?>
					</div><!-- .entry-content -->

	<?php if ( get_the_author_meta( 'description' ) ) : // If a user has filled out their description, show a bio on their entries  ?>
					<div id="entry-author-info">
						<div id="author-avatar">
							<?php echo get_avatar( get_the_author_meta( 'user_email' ), apply_filters( 'mosaic_author_bio_avatar_size', 85 ) ); ?>
						</div><!-- #author-avatar -->

						<div id="author-description">
							<h2>
								<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>">
									<?php the_author(); ?>
								</a>
							</h2>

							<?php the_author_meta( 'description' ); ?>
						</div><!-- #author-description -->
						<div class="clearfix"></div>
					</div><!-- #entry-author-info -->
	<?php endif; ?>

					<div class="entry-utility">
						<?php mosaic_posted_in(); ?>
					</div><!-- .entry-utility -->
				</div><!-- #post-## -->

				<div id="nav-below" class="navigation">
					<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'mosaic' ) . '</span> %title' ); ?></div>
					<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'mosaic' ) . '</span>' ); ?></div>
				</div><!-- #nav-below -->
				
				<?php comments_template( '', true ); ?>

<?php endwhile; // end of the loop. ?>